### Constructor

# Gtk PageSetup new_from_file

#### Declaration [src]

    GtkPageSetup*
    gtk_page_setup_new_from_file (
      const char* file_name,
      GError** error
    )

#### Description [src]

Reads the page setup from the file `file_name`.

Returns a new `GtkPageSetup` object with the restored page setup, or `NULL` if an error occurred. See `gtk_page_setup_to_file()`.

#### Parameters

`file_name`

  Type: `const char*`

  The filename to read the page setup from.

  The data is owned by the caller of the function.
  The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GtkPageSetup`

The restored `GtkPageSetup`.

The caller of the function takes ownership of the data, and is responsible for freeing it.